/* page */
	*, :after, :before {
		box-sizing: border-box;
		padding: 0;
		margin: 0;
		font-family: sans-serif;
	}
	html {
		height: 100%;
	}
	body, html, #map {
		width: 100%;
		height: 100%;
	}
	body {
		position: relative;
		min-height: 100%;
		margin: 0;
		padding: 0;
		background-color: #f1f1f1;
	}

/* popup content */
	.popup-header {
		position: fixed;
		width: 783px;
		z-index: 1;
	}
	.popup-header-title {
		height: 48px;
		background: #242424;
		color: #fff;
	}
	.popup-header-title h1 {
		float: left;
		width: 385px;
		padding: 10px 0 0 70px;
		font-size: 16pt;
	}
	.popup-header-title p {
		float: right;
		width: 385px;
		padding: 13px 18px 0 0;
		text-align: right;
	}
	.popup-chart-container {
		width: 783px;
		height: 350px;
		margin: 0 auto;
		background: #fff;
		border-top: 1px solid #F1F1F1;
	}
	.popup-chart-container a {
		display: block;
		position: relative;
		left: 730px;
		bottom: 320px;
		width: 24px;
		cursor: pointer;
	}
	.popup-content {
		width: 780px;
	}
	.crash-content {
		padding: 25px 20px;
	}

/* leaflet popup */
	.popup-fixed {
		position: fixed;
		width: 800px;
		height: 100% !important;
		bottom: 0 !important;
		right: 0 !important;
		left: auto !important;
		cursor: default;
		transform: none !important;
		margin: 0;
		border-radius: 0;
	}
	.leaflet-popup-content-wrapper {
		height: 100%;
	}
	@media (min-height: 1000px)  {
		.popup-fixed {
			top: auto;
			width: 100% !important;
			height: 1162px !important;
			left: 0 !important;
			right: 0 !important;
			bottom: 0 !important;
		}
		.leaflet-popup-content-wrapper {
			width: 100%;
		}
		.popup-header {
			position: fixed;
			width: 1170px;
			z-index: 1;
		}
		.popup-header-title {
			height: 70px;
		}
		.popup-header-title h1 {
			width: 585px;
			padding: 15px 0 0 103px;
			font-size: 24pt;
		}
		.popup-header-title p {
			width: 585px;
			padding: 19px 26px 0 0;
			text-align: right;
			font-size: 18pt;
		}
		.popup-chart-container {
			width: 1153px;
			height: 512px;
		}
		.popup-chart-container a {
			left: 1068px;
			bottom: 490px;
			width: 40px;
			height: 40px;
			cursor: pointer;
		}
		.popup-chart-container a img {
			width: 40px;
			height: 40px;
		}
		.popup-content {
			width: 1153px;
		}
		.crash-content {
			padding: 37px 29px;
		}
		.leaflet-container a.leaflet-popup-close-button {
			width: 70px !important;
			height: 70px !important;
			font-size: 35px !important;
			padding-top: 20px !important;
		}
		.popup-header-tabs button {
			padding: 23px 25px !important;
			font-size: 16pt;
		}
		.popup-content-tab {
			padding: 640px 0 7px 0 !important;
		} 
	}
	.leaflet-popup-content {
		width: 800px;
		font-size: 16px;
		margin: 0;
	}
	.leaflet-popup-tip-container {
		display: none;
	}
	.leaflet-popup-content-wrapper {
		max-height: 100%;
		overflow: auto;
		border-radius: 0;
		padding: 0;
	}
	.leaflet-container a.leaflet-popup-close-button {
		right: auto;
		left: 0;
		width: 48px;
		height: 48px;
		font-size: 24px;
		padding-top: 10px;
		background: #7F3939;
		color: #fff;
		transition: .5s;
		z-index: 2;
	}
	.leaflet-container a.leaflet-popup-close-button:hover {
		background: #88130B;
		color: #fff;
	}
	.leaflet-popup-content p {
		margin: 0 auto;
	}
	
/* popup tabs */
	.popup-header-tabs {
		overflow: hidden;
		background-color: #f1f1f1;
	}
	.popup-header-tabs button {
		background-color: inherit;
		float: left;
		border: none;
		outline: none;
		cursor: pointer;
		padding: 16px 17px;
		transition: 0.3s;
	}
	.popup-header-tabs button:hover {
		background-color: #ddd;
	}
	.popup-header-tabs button.active {
		background-color: #ccc;
	}
	.popup-content-tab {
		display: none;
		padding: 445px 0 5px 0;
		border-top: none;
	} 
	
/* animation */
	@keyframes border-pulse {
		0% {
			background: rgb(82, 212, 83);
			box-shadow: 0 0 0 0 rgb(82, 212, 83);
		}
		70% {
			background: rgba(82, 212, 83, 0);
			box-shadow: 0 0 0 20px rgba(82, 212, 83, 0);
		}
		100% {
			background: rgba(82, 212, 83, 0);
			box-shadow: 0 0 0 0 rgba(82, 212, 83, 0);
		}
	}
	.animation {
		animation: border-pulse 1.5s infinite;
		border-radius: 50%;
	}